Ulsav Docs

Compliance

GET
/api/v1/organizations/{organization_id}/compliance

Path Parameters

organization_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
documents*array<>|null
eligibility*
profile*
settlement*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/compliance'
Example Response
{  "$schema": "https://example.com/schemas/Overview.json",  "documents": [    {      "$schema": "https://example.com/schemas/KYCDocument.json",      "contentType": "string",      "createdAt": "2019-08-24T14:15:22Z",      "finalizedAt": "2019-08-24T14:15:22Z",      "id": "string",      "kind": "string",      "sizeBytes": 0,      "status": "string"    }  ],  "eligibility": {    "eligible": true,    "kycStatus": "string",    "settlementVerified": true  },  "profile": {    "$schema": "https://example.com/schemas/KYCProfile.json",    "contactEmail": "string",    "contactName": "string",    "contactPhone": "string",    "createdAt": "2019-08-24T14:15:22Z",    "entityType": "string",    "legalName": "string",    "organizationId": "string",    "pan": "string",    "registeredAddress": "string",    "registeredCity": "string",    "registeredCountry": "string",    "registeredPostalCode": "string",    "registeredState": "string",    "rejectionReason": "string",    "reviewedAt": "2019-08-24T14:15:22Z",    "reviewedBy": "string",    "status": "string",    "submittedAt": "2019-08-24T14:15:22Z",    "taxIdentifier": "string",    "updatedAt": "2019-08-24T14:15:22Z"  },  "settlement": {    "$schema": "https://example.com/schemas/SettlementAccount.json",    "accountNumber": "string",    "beneficiaryName": "string",    "branchCode": "string",    "createdAt": "2019-08-24T14:15:22Z",    "id": "string",    "ifsc": "string",    "updatedAt": "2019-08-24T14:15:22Z",    "verificationNotes": "string",    "verified": true,    "verifiedAt": "2019-08-24T14:15:22Z"  }}
POST
/api/v1/organizations/{organization_id}/compliance/documents

Path Parameters

organization_id*string

Request Body

application/json
  1. body
contentType*string
filename*string
kind*string
size*integer
Formatint64

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
documentId*string
expiresAt*string
Formatdate-time
uploadUrl*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/compliance/documents' \  -H 'Content-Type: application/json' \  -d '{  "contentType": "string",  "filename": "string",  "kind": "string",  "size": 0}'
Example Response
{  "$schema": "https://example.com/schemas/DocumentUploadIntent.json",  "documentId": "string",  "expiresAt": "2019-08-24T14:15:22Z",  "uploadUrl": "string"}

Remove a KYC document

DELETE
/api/v1/organizations/{organization_id}/compliance/documents/{document_id}

Path Parameters

organization_id*string
document_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
removed*boolean
Example Request
curl -X DELETE 'https://example.com/api/v1/organizations/string/compliance/documents/string'
Example Response
{  "$schema": "https://example.com/schemas/RemovedOutputBody.json",  "removed": true}
POST
/api/v1/organizations/{organization_id}/compliance/documents/{document_id}/confirm

Path Parameters

organization_id*string
document_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
contentType*string
createdAt*string
Formatdate-time
finalizedAt?string
Formatdate-time
id*string
kind*string
sizeBytes*integer
Formatint64
status*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/compliance/documents/string/confirm'
Example Response
{  "$schema": "https://example.com/schemas/KYCDocument.json",  "contentType": "string",  "createdAt": "2019-08-24T14:15:22Z",  "finalizedAt": "2019-08-24T14:15:22Z",  "id": "string",  "kind": "string",  "sizeBytes": 0,  "status": "string"}
GET
/api/v1/organizations/{organization_id}/compliance/documents/{document_id}/url

Path Parameters

organization_id*string
document_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
url*string
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/compliance/documents/string/url'
Example Response
{  "$schema": "https://example.com/schemas/DocumentURLOutputBody.json",  "url": "string"}
PUT
/api/v1/organizations/{organization_id}/compliance/kyc

Path Parameters

organization_id*string

Request Body

application/json
  1. body
contactEmail*string
contactName*string
contactPhone*string
entityType*string
legalName*string
pan*string
registeredAddress*string
registeredCity*string
registeredCountry*string
registeredPostalCode*string
registeredState*string
taxIdentifier*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
contactEmail*string
contactName*string
contactPhone*string
createdAt*string
Formatdate-time
entityType*string
legalName*string
organizationId*string
pan*string
registeredAddress*string
registeredCity*string
registeredCountry*string
registeredPostalCode*string
registeredState*string
rejectionReason?string
reviewedAt?string
Formatdate-time
reviewedBy?string
status*string
submittedAt?string
Formatdate-time
taxIdentifier*string
updatedAt*string
Formatdate-time
Example Request
curl -X PUT 'https://example.com/api/v1/organizations/string/compliance/kyc' \  -H 'Content-Type: application/json' \  -d '{  "contactEmail": "string",  "contactName": "string",  "contactPhone": "string",  "entityType": "string",  "legalName": "string",  "pan": "string",  "registeredAddress": "string",  "registeredCity": "string",  "registeredCountry": "string",  "registeredPostalCode": "string",  "registeredState": "string",  "taxIdentifier": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/KYCProfile.json",  "contactEmail": "string",  "contactName": "string",  "contactPhone": "string",  "createdAt": "2019-08-24T14:15:22Z",  "entityType": "string",  "legalName": "string",  "organizationId": "string",  "pan": "string",  "registeredAddress": "string",  "registeredCity": "string",  "registeredCountry": "string",  "registeredPostalCode": "string",  "registeredState": "string",  "rejectionReason": "string",  "reviewedAt": "2019-08-24T14:15:22Z",  "reviewedBy": "string",  "status": "string",  "submittedAt": "2019-08-24T14:15:22Z",  "taxIdentifier": "string",  "updatedAt": "2019-08-24T14:15:22Z"}
POST
/api/v1/organizations/{organization_id}/compliance/kyc/submit

Path Parameters

organization_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
contactEmail*string
contactName*string
contactPhone*string
createdAt*string
Formatdate-time
entityType*string
legalName*string
organizationId*string
pan*string
registeredAddress*string
registeredCity*string
registeredCountry*string
registeredPostalCode*string
registeredState*string
rejectionReason?string
reviewedAt?string
Formatdate-time
reviewedBy?string
status*string
submittedAt?string
Formatdate-time
taxIdentifier*string
updatedAt*string
Formatdate-time
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/compliance/kyc/submit'
Example Response
{  "$schema": "https://example.com/schemas/KYCProfile.json",  "contactEmail": "string",  "contactName": "string",  "contactPhone": "string",  "createdAt": "2019-08-24T14:15:22Z",  "entityType": "string",  "legalName": "string",  "organizationId": "string",  "pan": "string",  "registeredAddress": "string",  "registeredCity": "string",  "registeredCountry": "string",  "registeredPostalCode": "string",  "registeredState": "string",  "rejectionReason": "string",  "reviewedAt": "2019-08-24T14:15:22Z",  "reviewedBy": "string",  "status": "string",  "submittedAt": "2019-08-24T14:15:22Z",  "taxIdentifier": "string",  "updatedAt": "2019-08-24T14:15:22Z"}
PUT
/api/v1/organizations/{organization_id}/compliance/settlement

Path Parameters

organization_id*string

Request Body

application/json
  1. body
accountNumber*string
beneficiaryName*string
branchCode*string
ifsc*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
accountNumber*string
beneficiaryName*string
branchCode*string
createdAt*string
Formatdate-time
id*string
ifsc*string
updatedAt*string
Formatdate-time
verificationNotes?string
verified*boolean
verifiedAt?string
Formatdate-time
Example Request
curl -X PUT 'https://example.com/api/v1/organizations/string/compliance/settlement' \  -H 'Content-Type: application/json' \  -d '{  "accountNumber": "string",  "beneficiaryName": "string",  "branchCode": "string",  "ifsc": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/SettlementAccount.json",  "accountNumber": "string",  "beneficiaryName": "string",  "branchCode": "string",  "createdAt": "2019-08-24T14:15:22Z",  "id": "string",  "ifsc": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "verificationNotes": "string",  "verified": true,  "verifiedAt": "2019-08-24T14:15:22Z"}